package cn.iocoder.yudao.module.member.service.level;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.level.MemberUserLevelConfigDO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelBaseRespVO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelReqVO;
import cn.iocoder.yudao.module.member.vo.userLevel.MemberUserLevelUpdateVO;

import java.util.List;

/**
 * 会员等级 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserLevelConfigService extends IService<MemberUserLevelConfigDO> {

    PageResult<MemberUserLevelBaseRespVO> getLevelPage(MemberUserLevelReqVO query);

    Boolean delete(List<Long> ids);

    Boolean add(MemberUserLevelUpdateVO query);

    Boolean updateLevel(MemberUserLevelUpdateVO query);
}
